Subject: [SIP] maddr in Via and Request-URI meaning

From: [email-masked]
Date: Fri, 8 Mar 2002 12:13:09 +0900

Hi all,

"maddr" parameter is mentioned in some places of rfc2543bis-09 and related
documents,
but I cannot understand meaning of it and why, when it is used in Via header
field.

In section 18.1.1, "maddr" is used when the request is multicasted but
"maddr" parameter in Request-URI is unclear in the meaning.

Could you explain maddr parameter in simple way?

Here is another wondering point in rfc2543bis-09.

In section 18.1.1, it show following sentences.

If an element sends a request over TCP because of these message size constraints,
and that request would have otherwise been sent over UDP, if the attempt
to establish the connection generates either an
ICMP Protocol Not Supported, or results in a TCP reset, the element SHOULD
retry the request, using UDP. This is only to provide backwards compatibility
with RFC 2543 compliant implementations that do not 
support UDP. It is anticipated that this behavior will be deprecated in
a future revision of this specification.

It seems to me these sentences say RFC 2543 compliant implementations do
not support UDP, it is right?

--

Junhwa Kim
[email-masked]

________________________________________
네띠앙 프리미엄 메일 오픈! (SMTP, 스팸메일 필터링 제공) http://www.netian.com/premium_mail/main.html

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip